%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: kapm
Summary: Advanced Power Management utility
Version: 0.3.1
Release: 6
Source: ftp://bodnar42.dhs.org/pub/kapm/%{name}-%{version}.tar.bz2
Group: Applications/System
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{kdeprefix}
Url: http://bodnar42.dhs.org/kapm
Excludearch: ia64
BuildPrereq: compat-egcs-c++, kdelibs-devel

%description
Advanced Power Management dock applet for the K Desktop Environment.

%prep
%setup -q

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir} MOC=%{qtdir}/bin/moc
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

make -f Makefile.dist

[ -f configure.in ] && libtoolize --copy --force
CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
%configure --prefix=%{prefix} \
	--with-install-root=$RPM_BUILD_ROOT
make -j $CPUS CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '\/etc\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%files -f ../file.list.%{kdename} 

%changelog
* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- fix to rebuild against the kde1

* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- move to main CD

* Tue Jun 06 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- use %%configure

* Wed Jan 12 2000 Ngo Than <than@redhat.de>
- updated to 0.3.1

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- adapted for powertools 6.1

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

